signalable.h File Reference
`#include <core/posix/signal.h>`
`#include <core/posix/visibility.h>`
`#include <memory>`
`#include <system_error>`
Include dependency graph for signalable.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | core::posix::Signalable
| The Signalable class abstracts the ability of an entity to be delivered a posix signal. More...

## Namespaces

namespace | core
namespace | core::posix